Loading...
Searching...
No Matches
Schema::SchemaCallbackHelper Class Reference

this class provides callback support for schema operations More...

## Public Member Functions

| constructor (AbstractSchema sc, int v=0)
| creates the callback object from the given arguments
hash< auto > | getCallbacks (bool force=False)
| returns a callback option hash usable with SqlUtil schema operations
hash< SchemaAlignmentInfo > | getInfo ()
| Returns information about schema changes made.
| infoCallback (string str, int ac, *string type, *string name, *string table, *string new_name, *string info)
| this is the informational callback method for schema operations
| sqlCallback (string str)
| this is the SQL callback method for schema operations
nothing | sqlForceCallback (string str)
| this is the SQL callback method for forced schema operations

## Public Attributes

hash< string, int > | change_map
| Change map; action code -> count.
const | CreateActionMap
| Map of create actions.
bool | created
| Set to True if only creations / additions were made.
hash< string, int > | data_change_map
| Summary map for data changes; upsert action code -> count.

## Detailed Description

this class provides callback support for schema operations

## Member Function Documentation

## constructor()

Schema::SchemaCallbackHelper::constructor | ( | AbstractSchema | sc,
|  | int | v = `0`
| ) |  |

creates the callback object from the given arguments

Parameters

  sc | the Schema::AbstractSchema "AbstractSchema" object for output logging and SQL execution
  v | the verbosity level; larger numbers mean more output; negative numbers mean no output

## Member Data Documentation

## created

bool Schema::SchemaCallbackHelper::created

Set to True if only creations / additions were made.

If not assigned after a schema alignment action, then no actions were taken